# Modelos probabilisticos, 2016
# Profesor. Miguel Angel Mendoza, FE-UNAM
# Estimacion de modelos probit y logit 

# Activar libreria con funciones estadisticas dise??ada por 
# Core Team and contributors worldwide
library(stats) 

setwd("/Volumes/LACIE SHARE/Academico/LibroEconometria_R/Capitulo_LogitProbit")

# lectura de Base de Datos previamente salvada en formato de RData
load("Capitulo_LogitProbit.RData")

# Adjunta la base se de datos para hacerla accesible
attach(BDatos_1)

# Estadisticos b??sicos de variables
summary (BDatos_1)


# Generar variable cualitativa con valor de uno 
# si esta por arriba de la mediana
y <- ifelse(ing_x_hrs>24.22, 1, 0)

# Para comprobar que se genero una variable dummy
summary (y)

# Modelo logit
mod_logit <- glm(y~escolaridad+exper+sexo, family = "binomial")
summary(mod_logit)

# Modelo probit
mod_probit <- glm(y~escolaridad+exper+sexo, family=binomial(link="probit"))
summary(mod_probit)

## odds ratios and 95% CI
exp(cbind(OR = coef(mod_logit), confint(mod_logit)))
exp(cbind(OR = coef(mod_probit), confint(mod_probit)))



